# Copyright © 2023 Nick Bowler
# License GPLv3+: GNU General Public License version 3 or any later version.
# This is free software: you are free to change and redistribute it.
# There is NO WARRANTY, to the extent permitted by law.

EAPI=7

DESCRIPTION="Free firmware for b43 wireless cards"
HOMEPAGE="http://netweb.ing.unibs.it/openfwwf/"
SRC_URI="http://netweb.ing.unibs.it/openfwwf/firmware/$P.tar.gz"

LICENSE="GPL-2"
SLOT="0"
KEYWORDS="~amd64 ~ppc"

BDEPEND="dev-util/b43-assembler"

src_install () {
	insinto /lib/firmware/b43-open
	doins *.fw
	einstalldocs
}
